%{?scl:%scl_package python-sphinx_rtd_theme}
%{!?scl:%global pkg_name %{name}}

%global srcname sphinx_rtd_theme
%global _rdatadir /usr/share

Name:           %{?scl_prefix}python-%{srcname}
Version:        0.2.4
Release:        1%{?dist}
Summary:        Sphinx theme for readthedocs.org

License:        MIT
URL:            https://github.com/snide/sphinx_rtd_theme
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
# fontawesome-web does not provide font(fontawesome-web) rhbz#1282587
Requires:       fontawesome-fonts-web
Requires:       font(fontawesome)
%{?python_provide:%python_provide python-%{srcname}}

%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.
It's currently in development and includes some rtd variable checks that
can be ignored if you're just trying to use it on your project outside
of that site.

%prep
%setup -q -c

%build
# Python 2 build
pushd %{srcname}-%{version}
%{?scl:scl enable %{scl} "}
%{__python} setup.py build
%{?scl:"}
popd

%install
# Python 2 install
pushd %{srcname}-%{version}
%{?scl:scl enable %{scl} "}
%{__python} setup.py install --skip-build --no-compile --root %{buildroot}
%{?scl:"}
popd

# Don't use the bundled fonts
pushd %{buildroot}/%{python_sitelib}/%{srcname}/static/fonts
rm fontawesome-webfont.*
ln -s %{_rdatadir}/fonts/fontawesome/fontawesome-webfont.eot .
ln -s %{_rdatadir}/fonts/fontawesome/fontawesome-webfont.svg .
ln -s %{_rdatadir}/fonts/fontawesome/fontawesome-webfont.ttf .
ln -s %{_rdatadir}/fonts/fontawesome/fontawesome-webfont.woff .
popd

%files
%doc %{srcname}-%{version}/README.rst
%license %{srcname}-%{version}/LICENSE
%{python_sitelib}/%{srcname}*

%changelog
* Mon Mar  6 2017 Jerry James <loganjerry@gmail.com> - 0.2.4-1
- New upstream version

* Sat Mar  4 2017 Jerry James <loganjerry@gmail.com> - 0.2.2-1
- New upstream version

* Fri Mar  3 2017 Jerry James <loganjerry@gmail.com> - 0.2.0-1
- New upstream version
- Unbundle the roboto fonts

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 0.1.9-3
- Rebuild for Python 3.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb  1 2016 Jerry James <loganjerry@gmail.com> - 0.1.9-1
- Comply with latest python packaging guidelines

* Tue Nov 24 2015 Jerry James <loganjerry@gmail.com> - 0.1.9-1
- New upstream version

* Mon Nov 16 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.8-4
- Add Requires: fontawesome-web (rhbz#1282297)

* Tue Oct 13 2015 Robert Kuska <rkuska@redhat.com> - 0.1.8-3
- Rebuilt for Python3.5 rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 13 2015 Jerry James <loganjerry@gmail.com> - 0.1.8-1
- New upstream version
- Unbundle the Lato fonts

* Wed Mar 11 2015 Jerry James <loganjerry@gmail.com> - 0.1.7-1
- New upstream version

* Sat Feb 21 2015 Jerry James <loganjerry@gmail.com> - 0.1.6-2
- Use license macro

* Thu Jul  3 2014 Jerry James <loganjerry@gmail.com> - 0.1.6-1
- Initial RPM
